Plantage X nvidia plus d'acceleration

Le
Jean-marc dufour
Bonsoir a tous,
CM. AB9/pro
Squeeze 2.6.32-5-686

Suite a une mise a jour bizarre
je n'ai plus l'acceleration 3D de la carte
nvidia 8400GS (carte de base)

j'ai essayer de reinstaller les drivers (par synaptique)
NVIDIA vdpau driver 195.36.31-6
NVIDIA binary kernel module for Linux 2.6.32-5-686 195.36.31-6
nvidia-smi 195.36.31-6
nvidia-kernel-source 195.36.31-6
nvidia-settings 195.36.31-6
libcuda1 195.36.31-6
nvidia-xconfig 195.36.31-6
nvidia-kernel-common 195.36.31-6
nvidia-kernel-dkms 195.36.31-6
nvidia-glx 195.36.31-6
libgl1-nvidia-glx 195.36.31-6
nvidia-opencl-icd 195.36.31-6
nvidia-libopencl1 195.36.31-6
nvidia-opencl-common 195.36.31-6
libnvidia-compiler 195.36.31-6
nvidia-libvdpau1 195.36.31-6
xserver-xorg-video-nv 1:2.1.17-3
libgl1-nvidia-alternatives 195.36.31-6
libglx-nvidia-alternatives 195.36.31-6
libvdpau1 195.36.31-6

j'ai deux erreurs:

E: libgl1-nvidia-alternatives: le sous-processus
script post-installation installé a retourné une
erreur de sortie d'état 2
E: libgl1-nvidia-glx: problèmes de dépendances -
laissé non configuré
E: nvidia-glx: problèmes de dépendances - laissé
non configuré

Dans mon fichier /etc/X11/XF86Config j'ai bien le
module nvidia
et le driver nvidia +le nom de la carte,
mais rien en ce qui concerne
glxinfo, glxgears etc..

meme en faisant #nvidia-xconfig, ca ne
change rien le fichier est le meme

Du coup en console, j'ai essaye cette methode decrite ici:
http://blog.fakroun.net/debian/installer-les-drivers-nvidia-sur/
et au moment d'installer les utilitaires, pan
il me fait ces erreurs (les 2 du haut)

Donc je suis dans un genre d'impasse
si vous avez une idee pour remettre cela en ordre

merci d'avance,
Jmarc





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/loom.20110401T083527-488@post.gmane.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
steve
Le #23249541
Le 01-04-2011, à 06:37:37 +0000, Jean-marc dufour () a écrit :


Dans mon fichier /etc/X11/XF86Config



/etc/X11/xorg.conf tu veux dire ? Ou alors tu as vraiment une vielle
Debian (ce qui n'est pas un mal en soi hein  ;-))

Sinon, pas d'idée pour ton problème, sorry.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23249731
? Heu.. non c'est bien une Squeeze avec un noyau
2.6.32-5-686
et, je n'ai pas de xorg.conf depuis que j'ai mis cette squeeze, c'est
/etc/X11/XF86Config, je veux dire que ce n'est pas moi qui l'ai invente...
ca m'est deja arrive des plantage de drivers, je reinstallais les .run
proprios et hop ca repartais mais la,
je suis comme un crapaud sur une boite d'allumettes...
Jmarc






Le 01/04/2011 08:45, steve a écrit :
Le 01-04-2011, à 06:37:37 +0000, Jean-marc dufour () a écrit :


Dans mon fichier /etc/X11/XF86Config



/etc/X11/xorg.conf tu veux dire ? Ou alors tu as vraiment une vielle
Debian (ce qui n'est pas un mal en soi hein ;-))

Sinon, pas d'idée pour ton problème, sorry.




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
tv.debian
Le #23249721
Le 01/04/2011 08:37, Jean-marc dufour a écrit :
Bonsoir a tous,
CM. AB9/pro
Squeeze 2.6.32-5-686

Suite a une mise a jour bizarre...
je n'ai plus l'acceleration 3D de la carte
nvidia 8400GS (carte de base)

j'ai essayer de reinstaller les drivers (par synaptique)
NVIDIA vdpau driver 195.36.31-6
NVIDIA binary kernel module for Linux 2.6.32-5-686 195.36.31-6
nvidia-smi 195.36.31-6
nvidia-kernel-source 195.36.31-6
nvidia-settings 195.36.31-6
libcuda1 195.36.31-6
nvidia-xconfig 195.36.31-6
nvidia-kernel-common 195.36.31-6
nvidia-kernel-dkms 195.36.31-6
nvidia-glx 195.36.31-6
libgl1-nvidia-glx 195.36.31-6
nvidia-opencl-icd 195.36.31-6
nvidia-libopencl1 195.36.31-6
nvidia-opencl-common 195.36.31-6
libnvidia-compiler 195.36.31-6
nvidia-libvdpau1 195.36.31-6
xserver-xorg-video-nv 1:2.1.17-3
libgl1-nvidia-alternatives 195.36.31-6
libglx-nvidia-alternatives 195.36.31-6
libvdpau1 195.36.31-6

j'ai deux erreurs:

E: libgl1-nvidia-alternatives: le sous-processus
script post-installation installé a retourné une
erreur de sortie d'état 2
E: libgl1-nvidia-glx: problèmes de dépendances -
laissé non configuré
E: nvidia-glx: problèmes de dépendances - laissé
non configuré

Dans mon fichier /etc/X11/XF86Config j'ai bien le
module nvidia
et le driver nvidia +le nom de la carte,
mais rien en ce qui concerne
glxinfo, glxgears etc..

meme en faisant #nvidia-xconfig, ca ne
change rien le fichier est le meme...

Du coup en console, j'ai essaye cette methode decrite ici:
http://blog.fakroun.net/debian/installer-les-drivers-nvidia-sur/
et au moment d'installer les utilitaires, pan...
il me fait ces erreurs (les 2 du haut)

Donc je suis dans un genre d'impasse ...
si vous avez une idee pour remettre cela en ordre...

merci d'avance,
Jmarc








Salut, tu as des paquets qui sont resté dans un stade anormal
(installation incomplète), essai en console (root ou sudo)

dpkg --configure -a

Pour voir quels paquets sont coincés dans un état aberrant tu peux
utiliser :

dpkg -C


Ensuite pour faire fonctionner ta carte tu n'as pas besoin de tous ces
paquets, si tu installes les suivant tu auras le nécessaire, les autres
seront ajouté en dépendance au besoin :

nvidia-glx
nvidia-kernel-dkms
nvidia-xconfig

Tu peux purger le reste.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23249771
? Heu.. non c'est bien une Squeeze avec un noyau
2.6.32-5-686
et, je n'ai pas de xorg.conf depuis que j'ai mis cette squeeze, c'est
/etc/X11/XF86Config, je veux dire que ce n'est pas moi qui l'ai invente...
ca m'est deja arrive des plantage de drivers, je reinstallais les .run
proprios et hop ca repartais mais la,
je suis comme un crapaud sur une boite d'allumettes...
Jmarc




Le 01/04/2011 08:45, steve a écrit :
Le 01-04-2011, à 06:37:37 +0000, Jean-marc dufour () a écrit :


Dans mon fichier /etc/X11/XF86Config



/etc/X11/xorg.conf tu veux dire ? Ou alors tu as vraiment une vielle
Debian (ce qui n'est pas un mal en soi hein ;-))

Sinon, pas d'idée pour ton problème, sorry.




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23249911
Bonjour,
1) j'ai fait
dpkg --configure -a

--> dpkg : erreur de traitement de libgl1-nvidia-glx (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
libgl1-nvidia-alternatives
libgl1-nvidia-glx

2) dpkg -C
Les paquets suivants ont été dépaquetés mais ne sont pas configurés. Ils
doivent être configurés en utilisant dpkg --configure ou l'option configure
du menu de dselect pour pouvoir fonctionner :
libgl1-nvidia-glx NVIDIA binary OpenGL libraries

Les paquets suivants sont à demi configurés, probablement à cause de
problèmes survenus lors de la première configuration. Il faudrait réessayer
de les configurer en utilisant dpkg --configure <paquet> ou l'option
configure du menu de dselect :
libgl1-nvidia-alternatives simplifies replacing MESA libGL with GPU
vendor lib

3) En faisant dpkg --configure <les paquets> j'ai toujours les erreurs.

Bon, mais que dois-je faire pour n'avoir que les 3 paquets que tu me
conseil?
je desinstalle les autres? et lesquels?

merci,
Jmarc




Salut, tu as des paquets qui sont resté dans un stade anormal
(installation incomplète), essai en console (root ou sudo)

dpkg --configure -a

Pour voir quels paquets sont coincés dans un état aberrant tu peux
utiliser :

dpkg -C


Ensuite pour faire fonctionner ta carte tu n'as pas besoin de tous ces
paquets, si tu installes les suivant tu auras le nécessaire, les autres
seront ajouté en dépendance au besoin :

nvidia-glx
nvidia-kernel-dkms
nvidia-xconfig

Tu peux purger le reste.




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
tv.debian
Le #23249981
Le 01/04/2011 10:34, jmdufour a écrit :
Bonjour,
1) j'ai fait
dpkg --configure -a

--> dpkg : erreur de traitement de libgl1-nvidia-glx (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
libgl1-nvidia-alternatives
libgl1-nvidia-glx

2) dpkg -C
Les paquets suivants ont été dépaquetés mais ne sont pas configurés. Ils
doivent être configurés en utilisant dpkg --configure ou l'option configure
du menu de dselect pour pouvoir fonctionner :
libgl1-nvidia-glx NVIDIA binary OpenGL libraries

Les paquets suivants sont à demi configurés, probablement à cause de
problèmes survenus lors de la première configuration. Il faudrait réessayer
de les configurer en utilisant dpkg --configure <paquet> ou l'option
configure du menu de dselect :
libgl1-nvidia-alternatives simplifies replacing MESA libGL with GPU
vendor lib

3) En faisant dpkg --configure <les paquets> j'ai toujours les erreurs.

Bon, mais que dois-je faire pour n'avoir que les 3 paquets que tu me
conseil?
je desinstalle les autres? et lesquels?

merci,
Jmarc




L'erreur initiale provient du script de post installation de
libgl1-nvidia-alternatives (d'après le message d'erreur que tu obtiens :
"E: libgl1-nvidia-alternatives: le sous-processus
script post-installation installé a retourné une
erreur de sortie d'état 2").

Tu peux essayer de lire ce script et voir ce qui peut clocher, ou de
manière "musclée" le mettre de côté, purger les paquets relatifs à
nvidia, et réinstaller seulement le nécessaire.
Le script qui t'intéresse est

/var/lib/dpkg/info/libgl1-nvidia-alternatives.postinst


Tu n'aurais pas des restes d'une installation du pilote NVidia via le
".run" fourni sur leur site ?

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23250191
Alors,

1) J'ai peut-etre des reste d'un .run mais la aussi, je ne sais pas les
virer s'ils existent...

2) voila le contenu du fichier

#!/bin/sh
set -e


# A trigger that handles the alternatives for /usr/lib/libGL.so and
# /usr/lib/libGL.so.1.
if [ "$1" = "triggered" ]; then

if [ -L /usr/lib/nvidia/diversions/libGL.so.1 ]; then
update-alternatives --install /usr/lib/libGL.so.1 libGL.so.1
/usr/lib/nvidia/diversions/libGL.so.1 5
else
update-alternatives --remove libGL.so.1
/usr/lib/nvidia/diversions/libGL.so.1
fi

if [ -L /usr/lib/nvidia/diversions/libGL.so ]; then
# libgl-mesa-dev was installed, create libGL.so
update-alternatives --install /usr/lib/libGL.so libGL.so
/usr/lib/nvidia/diversions/libGL.so 9995
else
# libgl-mesa-dev was removed, drop libGL.so
update-alternatives --remove libGL.so /usr/lib/nvidia/diversions/libGL.so
fi

fi


#DIVERT_QUIET="--quiet"

# <target: squeeze>
exists()
{
test -e "$1" || test -L "$1"
}

if [ "$1" = "configure" ]
then

# dpkg-reconfigure does not set DPKG_MAINTSCRIPT_PACKAGE (#560317)
if [ -z "$DPKG_MAINTSCRIPT_PACKAGE" ]
then
echo "ERROR: DPKG_MAINTSCRIPT_PACKAGE is not set, usually a bug in
dpkg-reconfigure"
exit 1
fi

# <target: squeeze>
# remove libGL.so created by obsolete nvidia-glx* init script
# otherwise we dpkg-divert --rename an unowned file
if [ -L /usr/lib/libGL.so ] &&
[ "$(readlink /usr/lib/libGL.so)" != "/etc/alternatives/libGL.so" ] &&
[ "$(readlink /usr/lib/libGL.so)" != "libGL.so.1" ]
then
echo "Removing /usr/lib/libGL.so symlink from unknown origin."
rm -f /usr/lib/libGL.so
fi
# </target: squeeze>

# <target: squeeze>
# take over diversions from nvidia-glx{,-legacy-*xx}
for file in libGL.so.1.2 libGL.so.1 libGL.so
do
file_orig="/usr/lib/$file"
file_old_divert="/usr/lib/nvidia/$file.xlibmesa"
file_new_divert="/usr/lib/nvidia/diversions/$file"
old_diverter="`dpkg-divert --listpackage $file_orig`"

if [ -n "$old_diverter" ]
&& [ "$old_diverter" != "$DPKG_MAINTSCRIPT_PACKAGE" ]
then
if ! exists "$file_orig" || ! exists "$file_old_divert"
then
dpkg-divert --remove --rename --package $old_diverter --divert
"$file_old_divert"
"$file_orig"
else
dpkg-divert --remove --package $old_diverter --divert
"$file_old_divert"
"$file_orig"
echo "Moving $file_old_divert to $file_new_divert"
mv "$file_old_divert" "$file_new_divert"
dpkg-divert --add --package $DPKG_MAINTSCRIPT_PACKAGE --divert
"$file_new_divert"
"$file_orig"
fi
fi
if exists "$file_old_divert"
then
echo "ERROR: $file_old_divert does still exist. Aborting."
exit 1
fi
done
# </target: squeeze>

fi
# </target: squeeze>


if [ "$1" = "configure" ]
then

# <target: squeeze>
# The old nvidia-glx postrm would delete /usr/lib/nvidia/diversions
# out from under us, so create it if it doesn't exist.
test -d /usr/lib/nvidia/diversions ||
mkdir -p /usr/lib/nvidia/diversions
# </target: squeeze>

# make new diversions
dpkg-divert $DIVERT_QUIET --add --rename --package
$DPKG_MAINTSCRIPT_PACKAGE --divert
/usr/lib/nvidia/diversions/libGL.so
/usr/lib/libGL.so
dpkg-divert $DIVERT_QUIET --add --rename --package
$DPKG_MAINTSCRIPT_PACKAGE --divert
/usr/lib/nvidia/diversions/libGL.so.1
/usr/lib/libGL.so.1
dpkg-divert $DIVERT_QUIET --add --rename --package
$DPKG_MAINTSCRIPT_PACKAGE --divert
/usr/lib/nvidia/diversions/libGL.so.1.2
/usr/lib/libGL.so.1.2

fi


# <target: squeeze>
if [ "$1" = "configure" ]
then

# <target: squeeze>
# do some validation of the diverted libGL.so

# check ownership of the original libGL.so
libGLso="$(dpkg-query -S /usr/lib/libGL.so 2>/dev/null | grep -v
'^diversion by' || true)"

if [ -L /usr/lib/nvidia/diversions/libGL.so ] &&
[ -z "$libGLso" ]
then
echo "Removing diverted libGL.so symlink owned by no package."
rm /usr/lib/nvidia/diversions/libGL.so
fi

if [ -L /usr/lib/nvidia/diversions/libGL.so ] &&
[ "`readlink /usr/lib/nvidia/diversions/libGL.so`" != "libGL.so.1" ]
then
echo "Removing diverted libGL.so symlink with unexpected target."
rm /usr/lib/nvidia/diversions/libGL.so
fi

if [ ! -L /usr/lib/nvidia/diversions/libGL.so ] &&
[ -n "$libGLso" ]
then
echo "Restoring diverted libGL.so symlink."
ln -s libGL.so.1 /usr/lib/nvidia/diversions/libGL.so
fi
# </target: squeeze>

# <target: squeeze>
# do some validation of the diverted libGL.so.1

# check ownership of the original libGL.so.1
libGLso1="$(dpkg-query -S /usr/lib/libGL.so.1 2>/dev/null | grep -v
'^diversion by' || true)"

if [ -L /usr/lib/nvidia/diversions/libGL.so.1 ] &&
[ -z "$libGLso1" ]
then
echo "Removing diverted libGL.so.1 symlink owned by no package."
rm /usr/lib/nvidia/diversions/libGL.so.1
fi

if [ -L /usr/lib/nvidia/diversions/libGL.so.1 ] &&
[ "`readlink /usr/lib/nvidia/diversions/libGL.so.1`" != "libGL.so.1.2" ]
then
echo "Removing diverted libGL.so.1 symlink with unexpected target."
rm /usr/lib/nvidia/diversions/libGL.so.1
fi

if [ ! -L /usr/lib/nvidia/diversions/libGL.so.1 ] &&
[ -n "$libGLso1" ]
then
echo "Restoring diverted libGL.so.1 symlink."
ln -s libGL.so.1.2 /usr/lib/nvidia/diversions/libGL.so.1
fi
# </target: squeeze>
fi
# </target: squeeze>
if [ "$1" = "configure" ]; then

# activate our trigger
dpkg-trigger /usr/lib/libGL.so.1
dpkg-trigger /usr/lib/libGL.so

fi
exit 0


Jmarc


L'erreur initiale provient du script de post installation de
libgl1-nvidia-alternatives (d'après le message d'erreur que tu obtiens :
"E: libgl1-nvidia-alternatives: le sous-processus
script post-installation installé a retourné une
erreur de sortie d'état 2").

Tu peux essayer de lire ce script et voir ce qui peut clocher, ou de
manière "musclée" le mettre de côté, purger les paquets relatifs à
nvidia, et réinstaller seulement le nécessaire.
Le script qui t'intéresse est

/var/lib/dpkg/info/libgl1-nvidia-alternatives.postinst


Tu n'aurais pas des restes d'une installation du pilote NVidia via le
".run" fourni sur leur site ?




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23250511
Ca avance,
en suivant les indications trouvees ici:
http://forums.debian.net/viewtopic.php?f&tU518

1) j'ai fait:
#aptitude reinstall libgl1-mesa-glx
et ensuite le fichier casse-pied s'est calme.

2) j'ai nettoyer proprement les drivers nvidia avec synaptic
# aptitude purge ~i~nnvidia

3) j'ai aussi nettoyer les restes du run (proprio derniere version
nvidia pour ma carte) NVIDIA-Linux-x86-260.19.44.run
#/home/jmarc/NVIDIA-Linux-x86-260.19.44.run --uninstall

voila c'est clean,
Mais...si je veux comme tu me l'as dit, installer :
nvidia-glx
nvidia-kernel-dkms
nvidia-xconfig

il rajoute:
ibgl1-nvidia-alternatives
libgl1-nvidia-glx
libglx-nvidia-alternatives
nvidia-glx
nvidia-vdpau-driver
nvidia-kernel-common
nvidia-kernel-dkms

nvidia-kernel-2.6.32-5-486 ?????? bizarre

nvidia-xconfig

jusque-la tout va bien me semble-t'il...
sauf qu'il veut installer linux-image-2.6.32-5-486

alors que je suis avec linux-image-2.6.32-5-686 et tout le reste

La je prefere ne rien toucher, mais comment puis-je faire?
Il faudrait peut-etre prendre d'autre paquets qui correspondent a mon
"image 2.6.32-5-686 " mais je ne vois pas lesquels....

ou alors est-ce que je retente l'install avec le module-assistant?
(la il faut que trouve un tuto)

Jmarc



L'erreur initiale provient du script de post installation de
libgl1-nvidia-alternatives (d'après le message d'erreur que tu obtiens :
"E: libgl1-nvidia-alternatives: le sous-processus
script post-installation installé a retourné une
erreur de sortie d'état 2").

Tu peux essayer de lire ce script et voir ce qui peut clocher, ou de
manière "musclée" le mettre de côté, purger les paquets relatifs à
nvidia, et réinstaller seulement le nécessaire.
Le script qui t'intéresse est

/var/lib/dpkg/info/libgl1-nvidia-alternatives.postinst


Tu n'aurais pas des restes d'une installation du pilote NVidia via le
".run" fourni sur leur site ?




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
tv.debian
Le #23250641
Le 01/04/2011 13:28, jmdufour a écrit :
Ca avance,
en suivant les indications trouvees ici:
http://forums.debian.net/viewtopic.php?f&tU518

1) j'ai fait:
#aptitude reinstall libgl1-mesa-glx
et ensuite le fichier casse-pied s'est calme.

2) j'ai nettoyer proprement les drivers nvidia avec synaptic
# aptitude purge ~i~nnvidia

3) j'ai aussi nettoyer les restes du run (proprio derniere version
nvidia pour ma carte) NVIDIA-Linux-x86-260.19.44.run
#/home/jmarc/NVIDIA-Linux-x86-260.19.44.run --uninstall

voila c'est clean,
Mais...si je veux comme tu me l'as dit, installer :
nvidia-glx
nvidia-kernel-dkms
nvidia-xconfig

il rajoute:
ibgl1-nvidia-alternatives
libgl1-nvidia-glx
libglx-nvidia-alternatives
nvidia-glx
nvidia-vdpau-driver
nvidia-kernel-common
nvidia-kernel-dkms

nvidia-kernel-2.6.32-5-486 ?????? bizarre

nvidia-xconfig

jusque-la tout va bien me semble-t'il...
sauf qu'il veut installer linux-image-2.6.32-5-486

alors que je suis avec linux-image-2.6.32-5-686 et tout le reste

La je prefere ne rien toucher, mais comment puis-je faire?
Il faudrait peut-etre prendre d'autre paquets qui correspondent a mon
"image 2.6.32-5-686 " mais je ne vois pas lesquels....

ou alors est-ce que je retente l'install avec le module-assistant?
(la il faut que trouve un tuto)

Jmarc






Les paquets ajoutés sont des dépendances, tout est normal. Pour ce qui
est des paquets liés au noyau je ne peux pas t'aider car toutes mes
machines sont en amd64. Je ne pense pas que tu doives installer un noyau
486 si tu utilises un 686 spécialement pour NVidia, vérifie que ces
paquets ne sont pas juste en "recommandés" ou "suggérés". Normalement la
dépendance de nvidia-glx sur un paquet nvidia-kernel-* est satisfaite
par nvidia-kernel-dkms.

Pour ce qui est des tutos il y en a certainement des dizaines sur le
net, je connais celui-ci :

http://www.linuxpedia.fr/doku.php/debian/debian_nvidia


Mais avec dkms tu n'as normalement plus besoin de module-assistant, en
tout cas ça fonctionne parfaitement ici.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
jmdufour
Le #23250921
Galere...
1)j'ai reinstalle
nvidia-glx
nvidia-kernel-dkms
nvidia-xconfig

#/etc/init.d/gdm3 restart
et puis rien de plus...meme avec un reboot..

j'ai desinstalle "xserver-xorg-video-nv" le generique de base
pensant qu'il genere un conflit..
et puis la aussi rien, sauf que je n'ai plus de resolution...lol
(du 800x600)
si je fais
#dpkg -l | grep nvidia:
ii libgl1-nvidia-alternatives 195.36.31-6
simplifies replacing MESA libGL with GPU vendor libraries
ii libgl1-nvidia-glx 195.36.31-6
NVIDIA binary OpenGL libraries
ii libglx-nvidia-alternatives 195.36.31-6
simplifies replacing Xorg module libglx.so with GPU vendor
library
ii nvidia-glx 195.36.31-6
NVIDIA binary Xorg driver
ii nvidia-kernel-common 20100522+1
NVIDIA binary kernel module support files
ii nvidia-kernel-dkms 195.36.31-6
NVIDIA binary kernel module DKMS source
ii nvidia-vdpau-driver 195.36.31-6
NVIDIA vdpau driver

si je fais
#lsmod
le module nvidia n'y est pas
alors
#modprobe nvidia
et puis restar x ou reboot et rien....
j'ai toujours le fichier X86config avec ce qu'il faut dedans...nvidia,
etc...

J'ai vraiment l'air d'un dindon qui n'attend plus que la casserole pour
finir en "beauté"....
Je ne comprends plus rien...
une autre idée?

merci,
Jmarc

Mais avec dkms tu n'as normalement plus besoin de module-assistant, en
tout cas ça fonctionne parfaitement ici.




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme